# Predictive Modelling

Predictive modelling aims to use our data to discover new knowledge
that we can deploy to predict outcomes based on known input
variables. Often our task is to predict something about new
observations based on the historic data that we have loaded into
Rattle. Classification and regression are at the heart of what we
often think of as data mining and predictive modelling, which in a
machine learning context is referred to as supervised learning.

Under predictive modelling we group together technology for
**Cluster** analysis and **Associations** analysis which are often
considered as unsupervised learning though both can be considered as
presenting predictive capabilities

Statisticians have traditionally focused on the task of regression
modelling. The aim is to build a mathematical formula that captures
the relationship between a collection of input variables and a numeric
output variable. This formula can then be applied to new observations
to predict a numeric outcome. The **Linear** regression, **Nerual**
network, and **SVM** (support vector machine) tools support regression
type models.

Supervised learning as a traditional data mining approach focuses on
algorithms developed for Artificial Intelligence and Machine Learning
to build classification models. These models are used to classify new
observations into different classes. Rattle supports Decision
**Trees**, Random **Forests**, and **Boost**ing.

As well as building a model so that we can apply the model to new data
(the predictions) the structure of the model itself can provide
insights. In particular, we can learn much about relationships between
input variables and the output variable from studying our
models. Sometimes these observations themselves deliver benefit from
a data mining project.

